picard.util

## Interface AdapterPair

- All Known Implementing Classes:
    IlluminaUtil.IlluminaAdapterPair

      public interface AdapterPair

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `get3PrimeAdapter()`
    `byte[]` | `get3PrimeAdapterBytes()`
    `byte[]` | `get3PrimeAdapterBytesInReadOrder()`
    `String` | `get3PrimeAdapterInReadOrder()`
    `String` | `get5PrimeAdapter()`
    `byte[]` | `get5PrimeAdapterBytes()`
    `byte[]` | `get5PrimeAdapterBytesInReadOrder()`
    `String` | `get5PrimeAdapterInReadOrder()`
    `String` | `getName()`

- - ### Method Detail

    - #### get3PrimeAdapter

          String get3PrimeAdapter()

    - #### get3PrimeAdapterInReadOrder

          String get3PrimeAdapterInReadOrder()

    - #### get3PrimeAdapterBytes

          byte[] get3PrimeAdapterBytes()

    - #### get3PrimeAdapterBytesInReadOrder

          byte[] get3PrimeAdapterBytesInReadOrder()

    - #### get5PrimeAdapter

          String get5PrimeAdapter()

    - #### get5PrimeAdapterInReadOrder

          String get5PrimeAdapterInReadOrder()

    - #### get5PrimeAdapterBytes

          byte[] get5PrimeAdapterBytes()

    - #### get5PrimeAdapterBytesInReadOrder

          byte[] get5PrimeAdapterBytesInReadOrder()

    - #### getName

          String getName()